%define _unpackaged_files_terminate_build 0
%{!?__rmrf:%global __rmrf /bin/rm -rf}

Summary: Individaul Firewall with IPTABLES
Summary(ko): IPTABLES 를 이용한 개별 방화벽
Name: oops-firewall
Version: 7.0.1
Release: 2%{?dist}
Epoch: 100
License: GPL
Group: Applications/Security
URL: http://oops.org/?t=lecture&sb=firewall&n=1
Source0: http://ftp.oops.org/pub/oops/oops-firewall/%{name}-%{version}.tar.bz2
Source1: conf-ko.tar.bz2
Source2: oops-firewall.service
Patch0: oops-firewall-7.0.1-log-syntax-error.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: iptables perl sh-utils fileutils net-tools
Conflicts: oops_firewall firewalld
BuildArchitectures: noarch
BuildRequires: net-tools

%description
It keeps your network system basically secure for external access
with iptables package in KERNEL v2.4 or v2.6

oops-firewall support IP/Port filtering, Masquerade, Bridge etc.

%description -l ko
커널 2.4/2.6 에서 지원하는 NETFILTER 기능을 이용하여 원격 공격으로
부터 시스템을 안전하게 막기 위하여 사용을 할수있다.

oops-firewall 은 IP/포트 필터링, 매스커래이딩, 브릿지 네트워크를 쉽게
설정하도록 도와준다.

%package doc
Summary: OOPS Firewall Documentation
Summary(ko): OOPS Firewall 관련 문서
Group: Documentation

%description doc
Documentation for oops firewall

%description doc -l ko
oops-firewall 관련 문서들

%prep
%setup -q -a 1
%patch0 -p1

./configure --prefix=/usr \
	--bindir=/usr/sbin \
	--confdir=/etc/oops-firewall \
	--includedir=/usr/include/oops-firewall \
	--shareddir=/usr/share \
	--initdir=%{_sbindir}/init.d \
	--destdir=%{buildroot}

%build
%{__make}

%install
if [ -d %{buildroot} ]; then
  %{__rmrf} %{buildroot}
fi
%{__mkdir_p} %{buildroot}%{_unitdir}

%{__make} DESTDIR=%{buildroot} install

%{__mkdir_p} %{buildroot}%{_mandir}/man8
%{__install} -m644 doc/%{name}.8 %{buildroot}%{_mandir}/man8/%{name}.8
%{__install} -m644 %{SOURCE2} %{buildroot}%{_unitdir}/oops-firewall.service

%post
%systemd_post %{name}.service
if [ $1 -eq 0 ]; then
  %{_bindir}/systemctl enable %{name}.service
fi

%preun
%systemd_preun %{name}.service


%clean
%{__rmrf} %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_sbindir}/init.d/oops-firewall
%attr(755,root,root) %{_sbindir}/oops-firewall
%{_includedir}/oops-firewall/*.h
%{_includedir}/oops-firewall/*.sed
/usr/share/locale/ko/LC_MESSAGES/oops-firewall.mo
%config(noreplace) %{_sysconfdir}/oops-firewall/application.conf
%config(noreplace) %{_sysconfdir}/oops-firewall/bridge.conf
%config(noreplace) %{_sysconfdir}/oops-firewall/filter.conf
%config(noreplace) %{_sysconfdir}/oops-firewall/masq.conf
%config(noreplace) %{_sysconfdir}/oops-firewall/forward.conf
%config(noreplace) %{_sysconfdir}/oops-firewall/interface.conf
%config(noreplace) %{_sysconfdir}/oops-firewall/tos.conf
%config(noreplace) %{_sysconfdir}/oops-firewall/user.conf
%config(noreplace) %{_sysconfdir}/oops-firewall/modules.list
%{_mandir}/man8/%{name}.8*
%dir %{_includedir}/oops-firewall
%{_unitdir}/oops-firewall.service

%files doc
%doc doc/README doc/CONFIG_SYNTAX doc/ko
%doc CREDIT COPYING Changelog

%changelog
* Sat Jan 17 2015 JoungKyun.Kim <http://oops.org> 100:7.0.2-1%{?dist}
- rebuilt on AN3
- use systemd

* Tue Oct  2 2014 JoungKyun.Kim <http://oops.org> 7:7.0.2-1.an2
- fixed log syntax error

* Sat Nov  9 2013 JoungKyun.Kim <http://oops.org> 7:7.0.1-1.an2
- update 7.0.1
- fixed range rule bug on PERHOST filter

* Mon Jan  7 2013 JoungKyun.Kim <http://oops.org> 7:7.0.0-2.an2
- fixed missing subnet no  ALLOWSELF verbose msg

* Sat Jan  5 2013 JoungKyun.Kim <http://oops.org> 7:7.0.0-1.an2
- update 7.0.0

* Sat Jan  5 2013 JoungKyun.Kim <http://oops.org> 7:6.2.10-1.an2
- update 6.2.10

* Wed Mar 28 2012 JoungKyun.Kim <http://oops.org> 7:6.2.9-1.an2
- update 6.2.9

* Tue Mar 27 2012 JoungKyun.Kim <http://oops.org> 7:6.2.8-1.an2
- update 6.2.8

* Sun Dec 25 2011 JoungKyun.Kim <http://oops.org> 7:6.2.7-1.an2
- update 6.2.7
- add conntbl patch

* Sat May  2 2009 JoungKyun.Kim <http://oops.org> 65:6.2.6-1
- update 6.2.6
- add man page

* Sat Jan  3 2009 JoungKyun.Kim <http://oops.org> 64:6.2.5-1
- update 6.2.5
- fixed start failed when bridge device don't exist
- add bridge device control configuration that use oops-firewall or system

* Sat Jul 19 2008 JoungKyun.Kim <http://oops.org> 63:6.2.4-1
- support iprange rule
- fixed miss operation of forward rule
- add -n option (no ansi mode print)
- fixed make wrong rule of HOSTPERUDP

* Thu Jan 10 2008 JoungKyun.Kim <http://oops.org> 62:6.2.3-1
- update 6.2.3
- fixed miss operation of MSAQ and FORWARD when Bridge used

* Tue Dec 18 2007 JoungKyum.Kim <http://oops.org> 61:6.2.2-1
- update 6.2.2
- fixed bridge PER HOST mode

* Sun May 20 2007 JoungKyun.Kim <http://oops.org> 60:6.2.1-1
- update 6.2.1

* Fri May 11 2007 JoungKyun.Kim <http://oops.org> 59:6.2.0-1
- update 6.2.0

* Tue Apr 10 2007 JoungKyun.Kim <http://oops.org> 58:6.1.3-1
- update 6.1.3
- fixed typo on rule.h that miss operated ALLOWSELF direction

* Tue Apr 10 2007 JoungKyun.Kim <http://oops.org> 57:6.1.2-2
- release update for mirror sync

* Sun Apr  8 2007 JoungKyun.Kim <http://oops.org> 56:6.1.2-1
- update 6.1.2
- add OUTPUT rule on ALLOWALL

* Mon Apr  2 2007 JoungKyun.Kim <http://oops.org> 55:6.1.1-2
- fixed wrong masquearding operation when use bridge
- complete deprecated direction support stop on MASQ configuration

* Fri Mar 30 2007 JoungKyun.Kim <http://oops.org> 54:6.1.1-1
- update 6.1.1
- fixed bridge filter mistake
- add netfilter kernel module control function

* Mon Jan  9 2007 JoungKyun.Kim <http://oops.org> 52:6.0.2-1
- update 6.0.2

* Mon Jan  8 2007 JoungKyun.Kim <http://oops.org> 51:6.0.1-1
- update 6.0.1

* Fri Dec 29 2006 JoungKyun.Kim <http://oops.org> 50:6.0.0-1
- update 6.0.0

* Fri Mar 10 2006 JoungKyun.Kim <http://oops.org> 15:5.0.1-2
- fixed udp forwarding bug

* Tue Dec 26 2005 JoungKyun.Kim <http://oops.org> 14:5.0.1-1
- update 5.0.1

* Sun Dec  4 2005 JoungKyun.Kim <http://oops.org> 13:5.0.0-1
- update 5.0.0

* Sun Nov 14 2004 JoungKyun.Kim <http://oops.org> 12:4.2.1-1
- update 4.2.1

* Wed Aug 26 2004 JoungKyun.Kim <http://oops.org> 10:4.2.0-1
- update 4.2.0

* Wed Aug 18 2004 JoungKyun.Kim <http://oops.org> 9:4.1.0-1
- update 4.1.0
- support kernel 2.6

* Wed Aug  4 2004 JoungKyun.Kim <http://oops.org> 8:4.0.5-1
- update 4.0.5

* Thu Feb 26 2004 JoungKyun.Kim <http://oops.org> 4.0.4-1
- update 4.0.4

* Thu Dec 11 2003 JoungKyun.Kim <http://oops.org> 4.0.3-1
- removed ip_forward and log_martians configuration on proc

* Sat Aug 16 2003 JoungKyun.Kim <http://oops.org> 4.0.2-1
- fixed ftp active mode access problem
- fixed mis load module in nat mode

* Fri Aug  5 2003 JoungKyun.Kim <http://oops.org> 4.0.1-2
- fixed update filter.conf problem

* Fri Aug  1 2003 JoungKyun.Kim <http://oops.org> 4.0.1-1
- fixed builtin module error on ins_mod function
- added i18N text in oops-firewall.h

* Fri Aug  1 2003 JoungKyun.Kim <http://oops.org> 4.0.0-1
- fixed typo
- added -n option on init status mode
- support port range with '-' charactor
- added module admin code
- supported i18N

* Sat Jan 18 2003 JoungKyun.Kim <http://oops.org> 3.2.3-2
- fixed typo

* Mon Dec 16 2002 JoungKyun.Kim <http://oops.org> 3.2.3
- modified init file for redhat kernel

* Mon Dec  9 2002 JoungKyun.Kim <http://oops.org> 3.2.2
- removed udp state option

* Fri Jun 14 2002 JoungKyun.Kim <http://oops.org> 3.2.1
- fixed IFS bug

* Wed Feb 27 2002 JoungKyun.Kim <http://oops.org> 3.2.0
- changed package name to oops-firewall from oops_firewall
- supported kernel 2.4.18
- removed Dial Pad configuration
- merged client.conf with filter.conf
- added tos.conf user.conf
- added README.DIALPAD
- update README.SORIBADA
- update README.STRING

* Mon Feb 25 2002 JoungKyun.Kim <http://oops.org> 3.1.2
- added check of ethernet device that eth0 don't exist
  and eth1 exists in ethernet device exsits one card
  on system
- fixed bug of refuse OUTPUT packet with put log logic

* Thu Nov 15 2001 JoungKyun.Kim <http://oops.org>
- fixed ftp connection in serveral ethernet device

* Tue Nov 13 2001 JoungKyun.Kim <http://oops.org>
- update 3.1.0
- added TCPMSS target For MASQ and ADSL
- added string check for MASQ packet
- modifed to use sport and dport in string check
- moved architecture to noarch from i686

* Fri Oct 26 2001 JoungKyun.Kim <http://oops.org>
- patch version 3.0.2
- patched udp states at client udp service
- typo log messages
- added rule that protected output invalied packet
- separated display of firewall state as tables
- modified README.SORIBADA

* Tue Oct 16 2001 JoungKyun.Kim <http://oops.org>
- patch version 3.0.1
- change var name STRINT to STRING
- patched wrong udp command

* Thu Oct 11 2001 JoungKyun.Kim <http://oops.org>
- major upgrade 3.0
- separated daemon service and client service
- closed all port (change from 1-1024 to 1-65535)
- controled network state (NEW,ESTABLISHED,RELATED,INVALID)

* Wed Sep 19 2001 JoungKyun.Kim <http://oops.org>
- update version 2.9
- added TOS rule

* Sun Aug 19 2001 JoungKyun.Kim <http://oops.org>
- patched rmmod command option

* Mon Aug 13 2001 JoungKyun.Kim <http://oops.org>
- update version 2.8
- prefix ftp access problem
- added log function

* Sat Aug 11 2001 JoungKyun.Kim <http://oops.org>
- update version 2.7
- modified ftp client configuration
- added iptable string match rule (require iptables include ipt_string)

* Mon Aug  6 2001 JoungKyun.Kim <http://oops.org>
- update version 2.6
- fixed ftp access problems
- added option -h
- modified deny rule

* Wed Jun 27 2001 JoungKyun.Kim <http://oops.org>
- update version 2.5
- fixed iptables path in oops_firewal script
- added zero count option

* Tue May 01 2001 JoungKyun.Kim <http://oops.org>
- update version 2.4
- modified udp forward table

* Wed Apr 26 2001 JoungKyun.Kim <http://oops.org>
- update version 2.3
- adjusted privite ip address in masq
- modified forwarding chains

* Wed Apr 25 2001 JoungKyun.Kim <http://oops.org>
- update version 2.2
- added masq start address (masq.conf)

* Tue Apr  3 2001 JoungKyun.Kim <http://oops.org>
- update version 2.1
- added msql configurations
- added port forward configurations

* Tue Mar 21 2001 JoungKyun.Kim <http://oops.org>
- update version 2.0
- based on kernel v2.4 and require iptables package
- Can't use in kernel 2.2.x and Don't used ipchains pacakge

* Thu Aug 17 2000 JoungKyun.Kim <http://oops.org>
- added in DNS entry

* Wed Aug 16 2000 JoungKyun.Kim <http://oops.org>
- packaging 1.0

